unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, MRVMediaServer, MRVType,
  MRVReceiver, MRVSender;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    RVCamSenderLogin: TRVCamSender;
    RVCamReceiverLogin: TRVCamReceiver;
    RVMediaServerF000: TRVMediaServer;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure RVMediaServerF000UserConnect(Sender: TRVMediaServer;
      const GUIDUser: TRVMAnsiString; MediaType: TRVMediaType);
    procedure RVMediaServerF000UserDisconnect(Sender: TRVMediaServer;
      const GUIDUser: TRVMAnsiString; MediaType: TRVMediaType);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

TempPath, MediaServerGUID, ServerLANIP, ComComponentsGUID : string;
ServerCMDPort : word;


implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
RVMediaServerF000.HTTPActive := true;
RVCamSenderLogin.Active := true;
RVCamReceiverLogin.Active := true;
Memo1.Lines.Add('Normal Start');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
RVMediaServerF000.HTTPActive := false;
RVCamSenderLogin.Active := false;
RVCamReceiverLogin.Active := false;
Memo1.Lines.Add('Normal End');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin


//   RVMedia:
RVCamSenderLogin.Active := false;
RVCamReceiverLogin.Active := false;

RVCamSenderLogin.Protocol :=rvpTCP;
RVCamReceiverLogin.Protocol :=rvpTCP;
RVCamSenderLogin.TCPConnectionType := rvtcpSenderToReceiver;
RVCamReceiverLogin.TCPConnectionType := rvtcpReceiverToSender;

RVMediaServerF000.CmdOptions := [rvcpUseSystemCmd,rvcpCmdAllGroups,rvcpCmdAllOnline];
//  RVMedia .

TempPath := GetCurrentDir+'\Temp';
MediaServerGUID := '{00000000-0000-F000-0000-000000000000}';
ServerCMDPort := 24200;
ServerLANIP := GetLocalHostAddress;
ComComponentsGUID := '{00000000-0000-A000-0000-000000000000}';



//   RVMedia:
RVMediaServerF000.TempFolder := TempPath+'\';
RVMediaServerF000.GUIDMy := MediaServerGUID;
RVMediaServerF000.HTTPPort := ServerCMDPort;

RVCamSenderLogin.ReceiverHost := ServerLANIP;
RVCamSenderLogin.ReceiverPort := ServerCMDPort;
RVCamSenderLogin.GUIDFrom := ComComponentsGUID;

RVCamReceiverLogin.Senders.Add;
RVCamReceiverLogin.Senders[0].SenderHost := ServerLANIP;
RVCamReceiverLogin.Senders[0].SenderPort := ServerCMDPort;
RVCamReceiverLogin.GUIDMy := ComComponentsGUID;
//    RVMedia.


end;

procedure TForm1.RVMediaServerF000UserConnect(Sender: TRVMediaServer;
  const GUIDUser: TRVMAnsiString; MediaType: TRVMediaType);
begin
Memo1.Lines.Add('User Connect: '+GUIDUser);
end;

procedure TForm1.RVMediaServerF000UserDisconnect(Sender: TRVMediaServer;
  const GUIDUser: TRVMAnsiString; MediaType: TRVMediaType);
begin
Memo1.Lines.Add('User Disonnect: '+GUIDUser);
end;

end.
